import * as React from 'react';
interface CaseProps {
    condition: boolean;
    children: React.ReactNode;
}
declare function Case({ children }: CaseProps): React.ReactNode;
declare namespace Case {
    var displayName: string;
}
declare function Default({ children }: {
    children: React.ReactNode;
}): React.ReactNode;
declare namespace Default {
    var displayName: string;
}
declare function ComponentSwitch({ children }: {
    children: React.ReactNode;
}): null;
export { Case, Default, ComponentSwitch };
